ZIP_RENAME(3)

NAME
zip_rename - rename file in zip archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_rename(struct zip *archive, zip_uint64_t index, const char *name);

DESCRIPTION
The file at position index in the zip archive archive is renamed to name.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error code in archive is set to indicate the error.

ERRORS
zip_rename fails if:

    [ZIP_ER_DELETED]
        The file to be renamed has been deleted from the archive.

    [ZIP_ER_EXISTS]
        There is already a file called name in the archive.

    [ZIP_ER_INVAL]
        index is not a valid file index in archive, name is NULL or the empty string. Also a file cannot be renamed to a directory or vice versa. Directories are denoted by a trailing slash.

SEE ALSO
libzip(3), zip_unchange(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>